<template>
    <keep-alive>
        <components
            :is="pageComponent"
            :data="data"
            @etDataComponent="setDataComponent"
        />
    </keep-alive>
</template>

<script>
import RegistrationForm from 'components/registration/RegistrationForm';
import RegistrationAgreement from 'components/registration/RegistrationAgreement';
import RegistrationConfirmEmail from 'components/registration/RegistrationConfirmEmail';
import RegistrationConfirmPhone from 'components/registration/RegistrationConfirmPhone';

export default {
    name: 'registration',
    components: {
        RegistrationForm,
        RegistrationAgreement,
        RegistrationConfirmEmail,
        RegistrationConfirmPhone
    },
    data() {
        return {
            data: null
        }
    },
    computed: {
        ...mapState('registration', ['pageComponent'])
    },
    methods: {
        setDataComponent(data) {
            this.data = data;
        }
    }
};
</script>
